/*
 * -------------------- G E N E R A L --------------------
 */

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Roboto', sans-serif;
}

a {
    text-decoration: none;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

h1,
h2,
h3,
h4,
.button,
li,
label {
    text-transform: uppercase;
}

h1 {
    font-size: 60px;
    margin-top: 0;
    margin-bottom: 10px;
    text-align: right;
}

main {
    padding-bottom: 235px;
}

.container {
    margin: 0 auto;
    min-width: 960px;
    max-width: 1024px;
}

.layout {
    display: flex;
    margin-bottom: 50px;
}

.content {
    min-height: 100%;
}

.button {
    font-weight: 500;
    text-decoration: none;
    padding: 10px 20px;
    margin-top: 50px;
}

.button:hover {
    background: #93BC40;
}

footer {
    height: 235px;
    margin-top: -235px;
}

/*
 * -------------------- L A N D I N G - P A G E --------------------
 */

/* __________ Notification bar __________ */
#notification-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
}

#notification-bar h4 {
    font-size: 16px;
    font-weight: 500;
}

/* __________ Navigation bar __________ */
#navigation-bar {
    height: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 50px;
}

#logo {
    height: 60px;
}

nav#menu ul {
    padding: 0;
    margin: 0;
    white-space: nowrap;
    float: right;
}

nav#menu li {
    display: inline-block;
    float: left;
}

nav#menu a {
    display: block;
    font-weight: 600;
    text-decoration: none;
    border-bottom: 3px solid transparent;
    padding-bottom: 5px;
    margin: 20px;
}

/* __________ Main event ad __________ */
section#main-event .container {
    display: flex;
    align-items: center;
    height: 100%;
}

section#main-event .event {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-items: flex-start;
    padding-left: 20px;
    border-left: white solid 5px;
    font-weight: 300;
    font-size: 16px;
}

section#main-event img {
    width: 500px;
    flex-basis: 500px;
    flex-shrink: 0;
}

section#main-event h1 {
    font-size: 120px;
    margin-top: 0;
    margin-bottom: 20px;
    text-shadow: white 15px 15px;
    font-style: italic;
    text-align: left;
}

section#main-event span {
    display: block;
    font-size: 18px;
    text-shadow: none;
    font-weight: 400;
    text-transform: none;
    font-style: normal;
    text-align: center;
}

/* __________ News __________ */
section#news {
    margin: 60px 0;
}

section#news .article {
    display: flex;
    padding: 40px;
    margin-bottom: 50px;
    border: #F0EFEB solid 4px;
    border-left: #554D4D solid 4px;
}

section#news .article:hover {
    border-left: #93BC40 solid 4px;
}

section#news .article-text {
    flex: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0 50px
}

section#news .button {
    align-self: flex-end;
}

section#news h2 {
    text-transform: none;
}

section#news h2 span {
    display: block;
    font-size: 16px;
    font-weight: 300;
    margin-bottom: 10px;
}

section#news .cropped-img {
    position: relative;
    width: 400px;
    height: 300px;
    overflow: hidden;
}

section#news .cropped-img img {
    position: absolute;
    top: -75%;
    width: 100%;
}

section#news .older-switch {
    text-align: center;
    cursor: pointer;
    margin: 0 41%;
}

/*
 * -------------------- A B O U T - U S --------------------
 */

/* __________ Navigation panel __________ */
#about-us .nav-panel {
    display: flex;
    width: 100%;
}

#about-us .nav-item {
    flex: 1;
    text-align: center;
    padding: 10px 0;
    border-bottom: 7px solid transparent;
}

#about-us h1.left {
    text-align: left;
}

#about-us .nav-item:hover:not(.active) {
    border-bottom-color: #F0EFEB;
}

#about-us h1 {
    margin: 0;
}

/* __________ Thematic image __________ */
#about-us .cropped-img {
    position: relative;
    height: 400px;
    overflow: hidden;
}

#about-us .cropped-img img {
    position: absolute;
    width: 100%;
}

/* __________ About us content __________ */
#about-us .coffee {
    bottom: -20%;
}

#about-us .plants {
    top: -65%;
}

#about-us .trip {
    top: -10%;
}

#about-us .coffee-plant {
    top: -40%;
}

#content h3 {
    margin-bottom: 0;
    padding-bottom: 3px;
    border-bottom: 3px solid;
}

#content p {
    margin: 20px 40px;
}

#content {
    margin: 50px;
}

#content .part {
    margin: 50px 0;
}

/*
 * -------------------- M E N U --------------------
 */

/* __________ Page layout __________ */
#side-navigation {
    flex: 1;
}

#menu-panel {
    flex: 5;
}

#empty {
    flex: 1;
}

/* __________ Side navigation bar __________ */
#side-navigation .button {
    display: block;
    font-size: 20px;
    margin: 3px;
    text-align: left;
    border: transparent solid 3px;
}

#side-navigation .button.active {
    text-align: right;
    border-right-color: #93BC40;
}

/* __________ Menu content __________ */
#menu-panel .container {
    display: flex;
}

#menu-panel .menu-column {
    margin: 0 20px;
    flex: 1;
}

#menu-panel h1 {
    font-size: 40px;
}

#menu-panel .menu-item-text {
    margin-bottom: 50px;
    margin-right: 20px;
    margin-left: 20px;
    border: #F0EFEB solid 3px;
    border-left-color: #554D4D;
}

#menu-panel .menu-item-text:hover {
    border-left-color: #93BC40;
}

#menu-panel .subtitle {
    display: block;
    width: 300px;
    text-align: right;
    margin: 30px 10px 10px auto;
    font-weight: 300;
    font-size: 15px;
}

#menu-panel li > span {
    text-align: right;
    flex-basis: 60px;
    flex-shrink: 0;
    font-weight: 600;
    text-transform: none;
}

#menu-panel li {
    display: flex;
    padding: 10px 20px;
    justify-content: space-between;
    font-weight: 400;
    border-bottom: transparent solid 3px;
}

/*
 * -------------------- P L A N T S --------------------
 */

/* __________ Plants content __________ */
#plants-panel {
    flex: 5;
}

#plants-panel p {
    margin-bottom: 50px;
    text-align: justify;
}

#plants-panel .plants-item {
    padding: 40px;
    margin: 50px;
    border: solid 3px;
    flex: 1;
}

#plants-panel h3 {
    display: block;
    text-align: center;
    margin-bottom: 0;
}

#plants-panel .cropped-img {
    position: relative;
    height: 400px;
    width: 300px;
    margin: auto;
    overflow: hidden;
}

#plants-panel img {
    display: block;
    margin: 0 auto;
    height: 100%;
}

#plants-panel .plants-content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

/*
 * -------------------- C O N T A C T --------------------
 */

/* __________ Address and map __________ */
#map-section {
    margin-bottom: 30px;
    height: 440px;
}

#map-section .container {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#map-section address {
    padding-left: 25px;
    margin-bottom: 40px;
    line-height: 1.5em;
    font-size: 22px;
    font-weight: 300;
    font-style: normal;
}

#map-section h1 {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 40px;
    text-align: left;
    text-shadow: white 5px 5px;
}

#map-section iframe {
    padding: 20px;
    flex-basis: 600px;
}

/* __________ Contact us __________ */
#contact-us-section .contact-form-layout {
    display: flex;
}

#contact-us-section .contact-form {
    margin: 20px auto 50px;
}

#contact-us-section label {
    display: block;
    margin-bottom: 20px;
    font-weight: 500;
    font-size: 16px;
}

#contact-us-section input {
    width: 100%;
    margin-top: 5px;
}

#contact-us-section textarea {
    resize: none;
    display: block;
}

#contact-us-section input,
#contact-us-section textarea {
    border: solid 2px;
    font-family: 'Roboto', sans-serif;
    padding: 10px;
    font-size: 16px;
    font-weight: 300;
    margin-top: 5px;
}

#contact-us-section .form-action {
    text-align: right;
    margin-top: 40px;
}

/*
 * -------------------- E V E N T S --------------------
 */

/* __________ Event carousel __________ */
#event-panel {
    display: flex;
    align-items: center;
    justify-items: center;
}

#event-panel .event {
    flex: 1;
    position: relative;
}

#event-panel .event:not(.active) {
    opacity: 0.3;
    cursor: pointer;
}

#event-panel .active {
    padding: 20px;
    margin: 0 20px;
}

#event-panel .plants-event.active {
    border: rgba(26, 55, 26, 0.7) solid 3px;
}

#event-panel .coffee-event.active {
    border: rgba(55, 49, 49, 0.7) solid 3px;
}

#event-panel .event-info {
    position: absolute;
    bottom: 35%;
    height: 200px;
    width: 100%;
    text-align: right;
    z-index: 2;
}

#event-panel .plants-event .event-info {
    background: rgba(26, 55, 26, 0.7);
}

#event-panel .coffee-event .event-info {
    background: rgba(55, 49, 49, 0.7);
}

#event-panel .active .event-info {
    width: calc(100% - 40px);
}

#event-panel h2 {
    margin: 0 10px 0 0;
    font-size: 50px;
}

#event-panel .plants-event h2 {
    text-shadow: rgba(26, 55, 26, 0.7) 10px 10px;
}

#event-panel .coffee-event h2 {
    text-shadow: rgba(55, 49, 49, 0.7) 10px 10px;
}

#event-panel .date {
    font-size: 20px;
    font-weight: 600;
}

#event-panel .time {
    font-weight: 300;
}

#event-panel .date-time {
    position: absolute;
    right: 0;
    bottom: 10px;
    margin-right: 15px;
    padding-right: 10px;
    border-right: white solid 3px;
}

#event-panel .material-icons {
    font-size: 48px;
}

#event-panel .event-panel-nav {
    align-self: center;
}

#event-panel .cropped-img {
    height: 550px;
    overflow: hidden;
    position: relative;
}

#event1 {
    background: url("http://www.stud.fit.vutbr.cz/~xbalko01/plant.jpg");
}

#event2 {
    background: url("http://www.stud.fit.vutbr.cz/~xbalko01/latte-art.jpg");
}

#event3 {
    background: url("http://www.stud.fit.vutbr.cz/~xbalko01/brunch.jpg");
}

#event4 {
    background: url("http://www.stud.fit.vutbr.cz/~xbalko01/DSC_0102.JPG");
}

#event1, #event2, #event3, #event4 {
    height: 550px;
    background-size: cover;
    background-position: center center;
}

/* __________ Event detail __________ */
#event-detail .event-heading {
    font-style: italic;
    text-align: right;
}

#event-detail h1 {
    font-size: 90px;
    margin-bottom: 0;
}

#event-detail h2 {
    font-size: 40px;
    font-weight: 300;
    text-transform: none;
    margin-top: 0;
}

#event-detail h3 {
    text-transform: none;
}

#event-detail p {
    margin: 20px 70px;
    text-align: justify;
}

#event-detail {
    margin: 70px;
}

/*
 * -------------------- W E B - M A P --------------------
 */

#web-map {
    display: flex;
    height: 100%;
    margin-top: 40px;
}

#web-map .web-map-column {
    flex: 1;
    text-align: center;
}

#web-map h2 {
    display: inline-block;
    margin: 20px;
}

#web-map li {
    padding-bottom: 15px;
    font-size: 18px;
}

#web-map ul {
    text-align: center;
    padding: 0;
}

/*
 * -------------------- F O O T E R --------------------
 */

#footer-nav {
    height: 150px;
    min-width: 990px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 20px 0;
    width: 100%;
}

#footer-nav img {
    width: 50px;
    cursor: pointer;
    margin: 0 10px;
}

#footer-nav ul {
    padding: 0;
    margin: 0;
    white-space: nowrap;
    float: right;
}

#footer-nav li {
    display: inline-block;
    float: left;
}

#footer-nav a {
    display: block;
    font-weight: 600;
    text-decoration: none;
    border-bottom: 3px solid transparent;
    padding-bottom: 5px;
    margin: 5px 15px;
}

#copyright {
    width: 100%;
}

#copyright p {
    height: 30px;
    text-align: center;
    font-size: 14px;
    padding-top: 15px;
    margin: 0;
}

/*
 * -------------------- C O L O R S --------------------
 */

footer img,
#side-navigation .active {
    background: white;
}

.button,
.white,
.event-info h1,
#event-panel .event-info,
#notification-bar h4 {
    color: white;
}

#map-section address {
    border-left: white solid 5px;
}

#map-section,
.menu-item-text ul li:hover,
#main-event {
    background: #F0EFEB;
}

footer,
footer a {
    color: #F0EFEB;
}

.footer-nav-links ul li a:hover,
#contact-us-section input,
#contact-us-section textarea,
#plants-panel .plants-item,
#side-navigation .active,
nav#menu ul li a:hover {
    border-color: #F0EFEB;
}

h1 {
    text-shadow: #F0EFEB 10px 10px;
}

#web-map a:hover,
#web-map a h2:hover,
#side-navigation .active {
    color: #93BC40;
}

#footer-nav li.active a,
#plants-panel .plants-item:hover,
nav#menu .active a {
    border-color: #93BC40;
}

#contact-us-section input:focus,
#contact-us-section textarea:focus,
#about-us .active {
    border-bottom-color: #93BC40;
}

body,
a,
#contact-us-section input,
#contact-us-section textarea,
.nav-item h1.coffee,
#event-detail .coffee h1 {
    color: #554D4D;
}

#notification-bar,
.button,
#footer-nav {
    background: #554D4D;
}

h1,
.plants h2,
.plants h3 {
    color: #4F7444;
}

#copyright {
    background-color: #4F7444;
}

/*
 * -------------------- P R I N T --------------------
 */

@media print {
    body * {
        visibility: hidden;
    }

    main, main * {
        visibility: visible;
    }

    main {
        position: absolute;
        left: 0;
        top: 0;
    }

    nav#menu,
    footer > .top nav,
    .button,
    #main-event,
    #about-us .nav-panel,
    #about-us .cropped-img,
    #plants-panel .cropped-img,
    #event-panel,
    #contact-panel > .container {
        display: none;
    }

    #plants-panel .plants-item {
        border: none;
    }
}